      SUBROUTINE PUT_IT(SCREEN,IFORE,IBACK,ICOLUMN,ILINE,MSG)
      character*(*) msg                 ! Message to write
      integer*2 screen(80,25)           ! This is the tube
c
      iatt=ior(ishft(iback,12),ishft(ifore,8))  ! Video attributes
      l=len(msg)                        ! Length of message
      do 20 i=1,l                       ! For all chars ...
   20 screen(icolumn+i-1,iline)=iatt+ichar(msg(i:i)) ! Ship it out
c
      return
      end
